# File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.

from __future__ import annotations

from typing import Union
from typing_extensions import Literal, Required, TypedDict

__all__ = ["EvaluationDatasetCreateParams", "ManualEvaluationDatasetRequest", "AutoGeneratedEvaluationDatasetRequest"]


class ManualEvaluationDatasetRequest(TypedDict, total=False):
    account_id: Required[str]
    """The ID of the account that owns the given entity."""

    name: Required[str]
    """The name of the dataset"""

    schema_type: Required[Literal["GENERATION"]]
    """An enumeration."""

    type: Literal["manual"]
    """Manually or automatically generated dataset"""


class AutoGeneratedEvaluationDatasetRequest(TypedDict, total=False):
    account_id: Required[str]
    """The ID of the account that owns the given entity."""

    knowledge_base_id: Required[str]
    """ID of the knowledge base to generate the evaluation dataset from."""

    name: Required[str]
    """The name of the dataset"""

    schema_type: Required[Literal["GENERATION"]]
    """An enumeration."""

    type: Literal["autogenerated"]
    """Manually or automatically generated dataset"""


EvaluationDatasetCreateParams = Union[ManualEvaluationDatasetRequest, AutoGeneratedEvaluationDatasetRequest]
