# File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.

from typing import List

from .._models import BaseModel

__all__ = [
    "PublishEvaluationDatasetDraftResponse",
    "AutogeneratedDraftTestCase",
    "AutogeneratedDraftTestCaseFailedChunk",
]


class AutogeneratedDraftTestCaseFailedChunk(BaseModel):
    artifact_content_modification_identifier: str
    """Artifact Content Modification Identifier of the missing chunk"""

    artifact_id: str
    """Artifact ID of the missing chunk"""

    artifact_name: str
    """Artifact Name of the missing chunk"""

    chunk_text: str
    """Text of chunk_id that is missing"""


class AutogeneratedDraftTestCase(BaseModel):
    autogenerated_draft_test_case_id: str
    """Draft test_case_id that has chunk_ids missing"""

    failed_chunks: List[AutogeneratedDraftTestCaseFailedChunk]

    success: bool
    """Whether or not the test case was successfully approved"""


class PublishEvaluationDatasetDraftResponse(BaseModel):
    autogenerated_draft_test_cases: List[AutogeneratedDraftTestCase]
    """List of responses for each of the input draft test cases."""

    success: bool
    """Whether or not the evaluation dataset was successfully published"""
